package com.bonus.core.customer.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@ApiModel("临时人员")
@Data
public class CustCasualVO implements Serializable {
   @ApiModelProperty("临时人员id")
   private Long casualId;
   @ApiModelProperty("临时人员名称")
   private String casualName;
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("手机号")
   private String mobile;
   @ApiModelProperty("邮箱")
   private String email;
   @ApiModelProperty("地址")
   private String address;
   @ApiModelProperty("openid")
   private String openid;
   @ApiModelProperty("来源类型 1-钉钉 2-微信 3-小程序")
   private Integer sourceType;
   @ApiModelProperty("是否删除")
   private Integer ifDel;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   private String alipayContractNum;

   public Long getCasualId() {
      return this.casualId;
   }

   public String getCasualName() {
      return this.casualName;
   }

   public Long getCustId() {
      return this.custId;
   }

   public String getMobile() {
      return this.mobile;
   }

   public String getEmail() {
      return this.email;
   }

   public String getAddress() {
      return this.address;
   }

   public String getOpenid() {
      return this.openid;
   }

   public Integer getSourceType() {
      return this.sourceType;
   }

   public Integer getIfDel() {
      return this.ifDel;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getAlipayContractNum() {
      return this.alipayContractNum;
   }

   public void setCasualId(final Long casualId) {
      this.casualId = casualId;
   }

   public void setCasualName(final String casualName) {
      this.casualName = casualName;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setMobile(final String mobile) {
      this.mobile = mobile;
   }

   public void setEmail(final String email) {
      this.email = email;
   }

   public void setAddress(final String address) {
      this.address = address;
   }

   public void setOpenid(final String openid) {
      this.openid = openid;
   }

   public void setSourceType(final Integer sourceType) {
      this.sourceType = sourceType;
   }

   public void setIfDel(final Integer ifDel) {
      this.ifDel = ifDel;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setAlipayContractNum(final String alipayContractNum) {
      this.alipayContractNum = alipayContractNum;
   }


}
